package Kirjalista;

import fi.jyu.mit.ohj2.Mjonot;

/**
 * Liimaa kirjan ja genren yhteen id:n perusteella
 */
public class KirjanGenre {
    private int kirjaId;
    private int genreId;
    
    
    /**
     * Luo olion
     * @param kirja Kirja
     * @param genre Genre
     */
    public KirjanGenre(Kirja kirja, Genre genre) {
        this.kirjaId = kirja.getId();
        this.genreId = genre.getId();
    }
    
    /**
     * Luo tyhjän olion
     */
    public KirjanGenre() {
    }
    
    /**
     * Palauttaa kirjan id:n
     * @return Kirjan id
     */
    public int getKirjaId() {
        return this.kirjaId;
    }
    
    
    
    /**
     * Palauttaa genren id:n
     * @return Genren id
     */
    public int getGenreId() {
        return this.genreId;
    }


    /**
     * Muuttaa merkkijonon olion tiedoiksi
     * @param rivi Merkkijono
     * <pre name="test">
	 * KirjanGenre kg = new KirjanGenre();
	 * 
	 * kg.parse("1|2");  
	 * kg.toString() === "1|2";
	 * kg.parse("0|0");  
	 * kg.toString() === "0|0";
	 * kg.parse("100|100");  
	 * kg.toString() === "100|100";
	 * kg.parse("2|2");  
	 * kg.toString() === "2|2";
	 * 
	 * </pre>
     */
    public void parse(String rivi) {
        StringBuilder sb = new StringBuilder(rivi);
        this.kirjaId = Mjonot.erota(sb, '|', 0);
        this.genreId = Mjonot.erotaInt(sb, 0);        
    }
    
    
    @Override
    public String toString() {
        return this.kirjaId + "|" + this.genreId;
    }
    
}


